Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.idl.reflect
Class idlType

    java.lang.Object
      |
      +--org.openorb.compiler.idl.reflect.idlType

public class idlType
extends java.lang.Object

This class provides all IDL Object type.

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel

Field Summary
`static int` | `ARRAY`
`static int` | `ATTRIBUTE`
`static int` | `CONST`
`static int` | `ENUM`
`static int` | `EXCEPTION`
`static int` | `FACTORY`
`static int` | `FIXED`
`static int` | `IDENTIFIER`
`static int` | `INTERFACE`
`static int` | `MODULE`
`static int` | `NATIVE`
`static int` | `OPERATION`
`static int` | `PARAM`
`static int` | `PRIMITIVE`
`static int` | `SEQUENCE`
`static int` | `STATE`
`static int` | `STRING`
`static int` | `STRUCT`
`static int` | `STRUCT_MEMBER`
`static int` | `TYPEDEF`
`static int` | `UNION`
`static int` | `UNION_MEMBER`
`static int` | `UNKNOWN`
`static int` | `VALUE`
`static int` | `VALUEBOX`
`static int` | `WSTRING`

Constructor Summary
`idlType()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

### MODULE

    public static final int MODULE

### ENUM

    public static final int ENUM

### STRUCT

    public static final int STRUCT

### STRUCT_MEMBER

    public static final int STRUCT_MEMBER

### UNION

    public static final int UNION

### UNION_MEMBER

    public static final int UNION_MEMBER

### STRING

    public static final int STRING

### WSTRING

    public static final int WSTRING

### CONST

    public static final int CONST

### PRIMITIVE

    public static final int PRIMITIVE

### SEQUENCE

    public static final int SEQUENCE

### IDENTIFIER

    public static final int IDENTIFIER

### TYPEDEF

    public static final int TYPEDEF

### EXCEPTION

    public static final int EXCEPTION

### INTERFACE

    public static final int INTERFACE

### OPERATION

    public static final int OPERATION

### ATTRIBUTE

    public static final int ATTRIBUTE

### PARAM

    public static final int PARAM

### ARRAY

    public static final int ARRAY

### NATIVE

    public static final int NATIVE

### FIXED

    public static final int FIXED

### VALUEBOX

    public static final int VALUEBOX

### VALUE

    public static final int VALUE

### STATE

    public static final int STATE

### FACTORY

    public static final int FACTORY

Constructor Detail

### idlType

    public idlType()

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD